Index: sources/app/src/main/java/parkup/entities/Guest.java
===================================================================
--- sources/app/src/main/java/parkup/entities/Guest.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/entities/Guest.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -32,4 +32,7 @@
     @Column(name = "mobile")
     private String mobile;
+
+    @OneToOne
+    private ParkingSession session;
 
     public Guest() {}
Index: sources/app/src/main/java/parkup/entities/ParkingSession.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingSession.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/entities/ParkingSession.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -1,7 +1,10 @@
 package parkup.entities;
 
+import org.springframework.format.annotation.DateTimeFormat;
 import parkup.data.Tablicka;
+import parkup.data.enumarations.SessionStatus;
 
 import javax.persistence.*;
+import java.time.LocalDateTime;
 
 @Entity
@@ -22,9 +25,11 @@
     private int pssId;
 
+    @DateTimeFormat(pattern = "yyyy-MM-dd-HH-mm-ss")
     @Column(name = "time_start")
-    private String timeStart;
+    private LocalDateTime timeStart;
 
+    @DateTimeFormat(pattern = "yyyy-MM-dd-HH-mm-ss")
     @Column(name = "time_end")
-    private String timeEnd;
+    private LocalDateTime timeEnd;
 
     @OneToOne(cascade = {CascadeType.ALL})
@@ -32,18 +37,34 @@
     private Tablicka tablica;
 
-    public ParkingSession() {}
+    @Column(name="session_status")
+    @Enumerated
+    private SessionStatus status;
 
-    public ParkingSession(int pssId, String timeStart, String timeEnd, Tablicka tablica) {
-        this.pssId = pssId;
-        this.timeStart = timeStart;
-        this.timeEnd = timeEnd;
-        this.tablica = tablica;
+    @ManyToOne
+    private ParkingSpace parkingSpace;
+
+    @ManyToOne
+    private ParkingZone parkingZone;
+
+
+//    public ParkingSpace getParkingSpace() {
+//        return parkingSpace;
+//    }
+//
+//    public void setParkingSpace(ParkingSpace parkingSpace) {
+//        this.parkingSpace = parkingSpace;
+//    }
+
+    public ParkingSession() {
+
     }
 
-    public ParkingSession(String timeStart, String timeEnd, Tablicka tablica) {
-        this.timeStart = timeStart;
-        this.timeEnd = timeEnd;
-        this.tablica = tablica;
+    public ParkingSession(Tablicka tablica){
+        this.timeStart= LocalDateTime.now();
+        this.timeEnd=null;
+        this.tablica=tablica;
+        this.status=SessionStatus.STARTED_UNVERIFIED;
     }
+
 
     public int getPssId() {
@@ -55,17 +76,17 @@
     }
 
-    public String getTimeStart() {
-        return this.timeStart;
+    public LocalDateTime getTimeStart() {
+        return timeStart;
     }
 
-    public void setTimeStart(String timeStart) {
+    public void setTimeStart(LocalDateTime timeStart) {
         this.timeStart = timeStart;
     }
 
-    public String getTimeEnd() {
-        return this.timeEnd;
+    public LocalDateTime getTimeEnd() {
+        return timeEnd;
     }
 
-    public void setTimeEnd(String timeEnd) {
+    public void setTimeEnd(LocalDateTime timeEnd) {
         this.timeEnd = timeEnd;
     }
@@ -78,3 +99,27 @@
         this.tablica = tablica;
     }
+
+    public SessionStatus getStatus() {
+        return status;
+    }
+
+    public void setStatus(SessionStatus status) {
+        this.status = status;
+    }
+
+    public ParkingSpace getParkingSpace() {
+        return parkingSpace;
+    }
+
+    public ParkingZone getParkingZone() {
+        return parkingZone;
+    }
+
+    public void setParkingSpace(ParkingSpace parkingSpace) {
+        this.parkingSpace = parkingSpace;
+    }
+
+    public void setParkingZone(ParkingZone parkingZone) {
+        this.parkingZone = parkingZone;
+    }
 }
Index: sources/app/src/main/java/parkup/entities/ParkingSpace.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingSpace.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/entities/ParkingSpace.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -2,4 +2,6 @@
 
 import javax.persistence.*;
+import java.util.ArrayList;
+import java.util.List;
 
 @Entity
@@ -24,12 +26,9 @@
 
     @Column(name = "isTaken")
-    private Boolean isTaken;
-
-    @Column(name = "isHandicaped")
-    private Boolean isHandicaped;
+    private boolean taken;
 
     @Column(name = "latitude")
     private float lat;
-<<<<<<< HEAD
+
 
     @Column(name = "longitude")
@@ -39,34 +38,27 @@
 //    @JoinColumn(name = "parking_zona")
 //    private ParkingZone parkingZone;
+//    @ManyToOne(cascade = {CascadeType.ALL})
+//    @JoinColumn(name = "parking_zona")
+//    private ParkingZone parkingZone;
+//
+//    @OneToMany
+//    @Column(name="parking_sessions")
+//    private List<ParkingSession> sessions;
 
     public ParkingSpace() {
-        System.out.println("Default ParkingSpace constructor" + lat);
+
     }
 
-=======
-
-    @Column(name = "longitude")
-    private float lng;
-
-    @OneToOne(cascade = {CascadeType.ALL})
-    @JoinColumn(name = "parking_zona")
-    private ParkingZone parkingZone;
-
-    public ParkingSpace() {}
-
->>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
-    public ParkingSpace(int psId, String psName, boolean isTaken, boolean isHandicaped, float lat, float lng) {
+    public ParkingSpace(int psId, String psName, boolean isTaken,  float lat, float lng) {
         this.psId = psId;
         this.psName = psName;
-        this.isTaken = isTaken;
-        this.isHandicaped = isHandicaped;
+        this.taken = isTaken;
         this.lat = lat;
         this.lng = lng;
     }
 
-    public ParkingSpace(String psName, boolean isTaken, boolean isHandicaped, float lat, float lng) {
+    public ParkingSpace(String psName,  float lat, float lng) {
         this.psName = psName;
-        this.isTaken = isTaken;
-        this.isHandicaped = isHandicaped;
+        this.taken = false;
         this.lat = lat;
         this.lng = lng;
@@ -76,4 +68,13 @@
         return this.psId;
     }
+
+//    public ParkingZone getParkingZone() {
+//        return parkingZone;
+//    }
+//
+//    public void setParkingZone(ParkingZone parkingZone) {
+//        this.parkingZone = parkingZone;
+//    }
+
 
     public void setPsId(int psId) {
@@ -90,17 +91,9 @@
 
     public boolean isTaken() {
-        return this.isTaken;
+        return this.taken;
     }
 
     public void setTaken(boolean isTaken) {
-        this.isTaken = isTaken;
-    }
-
-    public boolean isHandicaped() {
-        return this.isHandicaped;
-    }
-
-    public void setHandicaped(boolean isHandicaped) {
-        this.isHandicaped = isHandicaped;
+        this.taken = isTaken;
     }
 
@@ -120,5 +113,5 @@
         this.lng = lng;
     }
-<<<<<<< HEAD
+
 
     @Override
@@ -126,12 +119,9 @@
         return "ParkingSpace{" +
                 "psName='" + psName + '\'' +
-                ", isTaken=" + isTaken +
-                ", isHandicaped=" + isHandicaped +
+                ", isTaken=" + taken +
                 ", lat=" + lat +
                 ", lng=" + lng+
                 '}';
     }
-=======
->>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
 }
 
Index: sources/app/src/main/java/parkup/entities/ParkingZone.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingZone.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/entities/ParkingZone.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -30,35 +30,30 @@
     private int price;
 
+    @Transient
     @Column(name = "capacity")
     private int capacity;
-
-<<<<<<< HEAD
     @Column(name = "time_from")  //za rabotni casovi od:
     private int from;
 
     @Column(name = "time_to")    //za rabotni casovi do:
-=======
-    @Column(name = "vreme_od")  //za rabotni casovi od:
-    private int from;
-
-    @Column(name = "vreme_do")    //za rabotni casovi do:
->>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
     private int to;
 
-    @Column(name = "lokacija")
-    private String location;
+    @Column(name = "address")
+    private String address;
 
+    @Transient
     @Column(name = "zafateniMesta")
-    private int zafateniMesta;
+    private int takenSpaces;
 
     @Column(name = "color")
     private String color;
 
-    @ManyToMany(cascade = {CascadeType.ALL})
-    @JoinColumn(name="odgovorniLica",nullable = true)
-    private List<Vraboten> odgovorniLica;
+//    @ManyToMany(cascade = {CascadeType.ALL})
+//    private List<Vraboten> odgovorniLica;
 
-    @OneToMany(cascade = {CascadeType.ALL})
+    @OneToMany(cascade = {CascadeType.MERGE})
     private List<ParkingSpace> parkingSpaces;
+
+
 
     @OneToOne(cascade = {CascadeType.ALL})
@@ -66,5 +61,5 @@
 
    public ParkingZone() {
-       this.zafateniMesta = 0;
+       this.takenSpaces = 0;
        this.parkingSpaces = new ArrayList<ParkingSpace>();
    }
@@ -72,15 +67,15 @@
     public ParkingZone(String pzName) {
         this.pzName = pzName;
-        this.zafateniMesta = 0;
+        this.takenSpaces = 0;
         this.parkingSpaces = new ArrayList<ParkingSpace>();
     }
 
-    public ParkingZone(int pzId, String pzName, int price, int capacity, String location, List<ParkingSpace> parkingSpaces, String color, int from, int to) {
+    public ParkingZone(int pzId, String pzName, int price, int capacity, String address, List<ParkingSpace> parkingSpaces, String color, int from, int to) {
         this.pzId = pzId;
         this.pzName = pzName;
         this.price = price;
         this.capacity = capacity;
-        this.location = location;
-        this.zafateniMesta = 0;
+        this.address = address;
+        this.takenSpaces = 0;
         this.parkingSpaces = parkingSpaces;
         this.color = color;
@@ -89,10 +84,10 @@
     }
 
-    public ParkingZone(String pzName, int price, int capacity, String location, List<ParkingSpace> parkingSpaces, String color, int from, int to) {
+    public ParkingZone(String pzName, int price, int capacity, String address, List<ParkingSpace> parkingSpaces, String color, int from, int to) {
         this.pzName = pzName;
         this.price = price;
         this.capacity = capacity;
-        this.location = location;
-        this.zafateniMesta = 0;
+        this.address = address;
+        this.takenSpaces = 0;
         this.parkingSpaces = parkingSpaces;
         this.color = color;
@@ -133,15 +128,15 @@
     }
 
-    public String getLocation() {
-        return this.location;
+    public String getAddress() {
+        return this.address;
     }
 
-    public void setLocation(String location) {
-        this.location = location;
+    public void setAddress(String location) {
+        this.address = location;
     }
 
-    public int getZafateniMesta() {return zafateniMesta;}
+    public int getTakenSpaces() {return takenSpaces;}
 
-    public void setZafateniMesta(int zafateniMesta) {this.zafateniMesta = zafateniMesta;}
+    public void setTakenSpaces(int takenSpaces) {this.takenSpaces = takenSpaces;}
 
     public List<ParkingSpace> getParkingSpaces() {return parkingSpaces;}
@@ -181,10 +176,10 @@
     }
 
-    public List<Vraboten> getOdgovorniLica() {
-        return odgovorniLica;
-    }
-
-    public void setOdgovorniLica(List<Vraboten> odgovorniLica) {
-        this.odgovorniLica = odgovorniLica;
-    }
+    //    public List<Vraboten> getOdgovorniLica() {
+//        return odgovorniLica;
+//    }
+//
+//    public void setOdgovorniLica(List<Vraboten> odgovorniLica) {
+//        this.odgovorniLica = odgovorniLica;
+//    }
 }
Index: sources/app/src/main/java/parkup/entities/RegistriranParkirac.java
===================================================================
--- sources/app/src/main/java/parkup/entities/RegistriranParkirac.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/entities/RegistriranParkirac.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -51,4 +51,7 @@
     private String role;
 
+    @OneToOne
+    private ParkingSession session;
+
     private boolean locked;
 
@@ -58,4 +61,5 @@
         this.regTablicki = new ArrayList<Tablicka>();
         this.role = "ROLE_REGISTRIRAN_PARKIRAC";
+        session=null;
     }
 
@@ -69,4 +73,5 @@
         this.mobile = mobile;
         this.role = "ROLE_REGISTRIRAN_PARKIRAC";
+        session=null;
     }
 
@@ -79,4 +84,5 @@
         this.mobile = mobile;
         this.role = "ROLE_REGISTRIRAN_PARKIRAC";
+        session=null;
     }
 
@@ -88,5 +94,27 @@
         this.mobile = mobile;
         this.role = "ROLE_REGISTRIRAN_PARKIRAC";
-    }
+        session=null;
+    }
+
+    public ParkingSession getSession() {
+        return session;
+    }
+
+    public void setSession(ParkingSession session) {
+        this.session = session;
+    }
+
+    public boolean isLocked() {
+        return locked;
+    }
+
+    public void setLocked(boolean locked) {
+        this.locked = locked;
+    }
+
+    public void setEnabled(boolean enabled) {
+        this.enabled = enabled;
+    }
+
 
     public int getRegParkId() {
Index: sources/app/src/main/java/parkup/entities/Vraboten.java
===================================================================
--- sources/app/src/main/java/parkup/entities/Vraboten.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/entities/Vraboten.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -4,4 +4,5 @@
 import org.springframework.security.core.userdetails.UserDetails;
 import parkup.data.VrabotenDemo;
+import parkup.data.enumarations.EmployeeStatus;
 
 import javax.persistence.*;
@@ -57,9 +58,12 @@
 
     @ManyToMany(cascade = {CascadeType.ALL})
-    @JoinColumn(name = "zona", nullable = false)
     private List<ParkingZone> parkingZones;
 
     @Column(name = "status")
-    private String status;
+    private EmployeeStatus status;
+
+    public void setLocked(boolean locked) {
+        this.locked = locked;
+    }
 
     @Column(name="locked")
@@ -73,6 +77,6 @@
         this.role = "ROLE_VRABOTEN";
         this.parkingZones = new ArrayList<ParkingZone>();
-        this.enabled = false;
-        this.status = "neRaboti";
+        this.enabled = true;
+        this.status = EmployeeStatus.NOT_WORKING;
     }
 
@@ -86,6 +90,6 @@
         this.parkingZones = parkingZones;
         this.role = "ROLE_VRABOTEN";
-        this.enabled = false;
-        this.status = "neRaboti";
+        this.enabled = true;
+        this.status = EmployeeStatus.NOT_WORKING;
     }
 
@@ -98,6 +102,6 @@
         this.parkingZones = parkingZones;
         this.role = "ROLE_VRABOTEN";
-        this.enabled = false;
-        this.status = "neRaboti";
+        this.enabled = true;
+        this.status = EmployeeStatus.NOT_WORKING;
     }
 
@@ -109,7 +113,7 @@
         this.mobile=mobile;
         this.parkingZones=new ArrayList<>();
-        this.enabled=false;
-        this.status="neRaboti";
         this.role="ROLE_VRABOTEN";
+        this.enabled=true;
+        this.status = EmployeeStatus.NOT_WORKING;
     }
 
@@ -204,7 +208,7 @@
     public void setParkingZones(List<ParkingZone> parkingZones) {this.parkingZones = parkingZones;}
 
-    public String getStatus() {return status;}
-
-    public void setStatus(String status) {this.status = status;}
+    public EmployeeStatus getStatus() {return status;}
+
+    public void setStatus(EmployeeStatus status) {this.status = status;}
 
     public boolean isAccount() {return enabled;}
